<h1 class="text-center">Calculator</h1>

<br>
<div class="container text-center">
    <div class="row">
        <div class="col-12">
            <form [formGroup]="addForm" (ngSubmit)="addNum(a.value, b.value)" class="gradient-border" id="box">
                <div class="form-group">
                    <div class="row">
                        <div class="col-12">
                            <div class="form-group">
                                <label for="add1">Input 1</label><br>
                                    <input type="number" min="-500" max="500" maxlength="3" name="a" id="add1" formControlName="a" #a>
                            </div>
                            <div class="form-group">
                                <label for="add2">Input 2</label><br>
                                    <input type="number" min="-500" max="500" maxlength="3" name="b" id="add2" formControlName="b" #b>
                            </div>
                            <div class="form-group">
                                <h3 *ngIf="result !null">Answer is: {{ result }} </h3>
                            </div>
                            <button type="submit" class="btn btn-outline-success">Click to add</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<br>
